import time
import unittest

import fischertechnik.factories as txt_factory
from ControllerInstance import ControllerInstance


class EnvironmentSensorTest(unittest.TestCase):

    def setUp(self):
        self.controller = ControllerInstance.get_instance().get_controller()
        self.environment_sensor = txt_factory.i2c_factory.create_environment_sensor(self.controller, 1)
        time.sleep(1)

    def test_get_temperature(self):
        self.assertTrue(self.environment_sensor.get_temperature() > 0)

    def test_get_humidity(self):
        self.assertTrue(self.environment_sensor.get_humidity() > 0)

    def test_get_pressure(self):
        self.assertTrue(self.environment_sensor.get_pressure() > 0)

    def test_get_air_quality_as_number(self):
        self.skipTest('Takes very long if sensor is not calibrated.')
        self.assertTrue(self.environment_sensor.get_indoor_air_quality_as_number() >= 0)


if __name__ == '__main__':
    unittest.main()
