import time
import unittest

import fischertechnik.factories as txt_factory
from ControllerInstance import ControllerInstance


class MicrophoneTest(unittest.TestCase):
    def setUp(self):
        self.controller = ControllerInstance.get_instance().get_controller()
        self.microphone = txt_factory.usb_factory.create_microphone(self.controller, 1)
        self.microphone.start()
        time.sleep(1)

    def tearDown(self):
        self.microphone.stop()

    def test_get_volume(self):
        self.assertTrue(self.microphone.get_volume() != 0)


if __name__ == '__main__':
    unittest.main()
