import numbers
import unittest

import fischertechnik.factories as txt_factory
from ControllerInstance import ControllerInstance


class PhotoTransistorTest(unittest.TestCase):

    def setUp(self):
        self.controller = ControllerInstance.get_instance().get_controller()
        self.phototransistor = txt_factory.input_factory.create_photo_transistor(self.controller, 4)
        self.phototransistor2 = txt_factory.input_factory.create_photo_transistor(self.controller, 5)

    def test_photoresistor(self):
        self.assertTrue(isinstance(self.phototransistor.get_state(), numbers.Number))
        # Since results may vary depending on daytime we need this if else
        if self.phototransistor.get_state() > 0:
            self.assertFalse(self.phototransistor.is_dark())
            self.assertTrue(self.phototransistor.is_bright())
        else:
            self.assertTrue(self.phototransistor.is_dark())
            self.assertFalse(self.phototransistor.is_bright())


if __name__ == '__main__':
    unittest.main()
